Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158000 - [PATCH] i915 drm module does not support i945G chipset
Summary: [PATCH] i915 drm module does not support i945G chipset
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-17 18:40 UTC by wingc
Modified: 2012-06-20 16:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:02:10 UTC


Attachments (Terms of Use)
[PATCH] support the i945G in the i915G kernel drm module (deleted)
2005-05-17 18:40 UTC, wingc
no flags Details | Diff

Description wingc 2005-05-17 18:40:27 UTC
Created attachment 114477 [details]
[PATCH] support the i945G in the i915G kernel drm module

Comment 1 wingc 2005-05-17 18:40:27 UTC
Description of problem:

The i915 drm driver in the RHEL4 kernel does not support the i945G integrated
graphics controller found in recent Intel-based x86_64 capable PCs. The existing
i915G code in the RHEL4 kernel seems to work with the i945G if the appropriate
PCI IDs are added.

Version-Release number of selected component (if applicable):

Tested on most recent RHEL4 beta kernel (2.6.9-6.37.EL)

How reproducible:

Always

Steps to Reproduce:
1. try to get DRI accelerated OpenGL to work on a i945G based machine
  
Actual results:

The i915.ko kernel DRM driver does not recognize the i945G

Expected results:


Additional info:


Attached is a patch against the most recent RHEL4 beta sources (2.6.9-6.37.EL)
which adds the i945G PCI IDs and just uses the existing i915G code in the i915
kernel DRM driver. Using this patch, I built the i915 driver as a standalone
module for x86_64. I can confirm that with this patch, OpenGL is working
properly on my hardware (pre-production Dell GX620, x86_64, with onboard i945G
graphics)

Comment 2 wingc 2005-05-17 20:45:29 UTC
See also the related bugs:
                                                                                
bug #157991 (intel-agp driver needed on x86_64)
bug #157995 (support i945G host bridge in intel-agp driver)
bug #157997 (i915 DRM kernel module needed on x86_64)
bug #158014 (support i945G integrated graphics in xorg-x11 i810 driver)
bug #158015 (support i945G integrated graphics in i915 DRI driver)
bug #158016 (disable debugging output to stderr in i915 DRI driver, x86_64)
                                                                                
Taken as a series, when these are all resolved it will be possible to get
working OpenGL acceleration in RHEL4 for the i945G integrated graphics chipset
on x86_64.

Comment 3 Dave Jones 2005-06-27 21:18:47 UTC
reassigning to product management

Comment 4 Jiri Pallich 2012-06-20 16:02:10 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.